{
  "$schema": "https://turbo.build/schema.json",
  "extends": ["//"],
  "tasks": {
    "build:staging": {
      "inputs": [
        "src/**",
        "tsconfig.json",
        "tsconfig.*.json",
        "vite.config.ts",
        "package.json",
        ".env.staging",
        ".env.*.staging"
      ],
      "outputs": ["dist/**", "tsconfig.tsbuildinfo"],
      "outputLogs": "new-only",
      "env": ["NODE_ENV", "VITE_*"]
    },
    "build:prod": {
      "inputs": [
        "src/**",
        "tsconfig.json",
        "tsconfig.*.json",
        "vite.config.ts",
        "package.json",
        ".env.production",
        ".env.*.production"
      ],
      "outputs": ["dist/**", "tsconfig.tsbuildinfo"],
      "outputLogs": "new-only",
      "env": ["NODE_ENV", "VITE_*"]
    },
    "deploy:staging": {
      "dependsOn": ["build:staging"],
      "passThroughEnv": [
        "CLOUDFLARE_ACCOUNT_ID",
				"CLOUDFLARE_API_TOKEN",
				"CUSTOM_BUILD_VAR"
      ],
      "cache": false,
      "outputLogs": "new-only"
    },
    "deploy:prod": {
      "dependsOn": ["build:prod"],
      "passThroughEnv": [
        "CLOUDFLARE_ACCOUNT_ID",
				"CLOUDFLARE_API_TOKEN",
				"CUSTOM_BUILD_VAR"
      ],
      "cache": false,
      "outputLogs": "new-only"
    }
  }
}
